apiVersion: opensearch.org/v1
kind: OpensearchUser
metadata:
  name: mastodon
  namespace: opensearch
spec:
  opensearchCluster:
    name: shared-os
  passwordFrom:
    name: mastodon-os-password
    key: password
---
apiVersion: opensearch.org/v1
kind: OpensearchRole
metadata:
  name: mastodon
  namespace: opensearch
spec:
  opensearchCluster:
    name: shared-os
  clusterPermissions:
    - cluster_monitor
  indexPermissions:
    - indexPatterns:
        - "*"
      allowedActions:
        - indices_all
---
apiVersion: opensearch.org/v1
kind: OpensearchUserRoleBinding
metadata:
  name: mastodon
  namespace: opensearch
spec:
  opensearchCluster:
    name: shared-os
  users:
    - mastodon
  roles:
    - mastodon
